For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
              • GETGet Inventory Notifications Settings
              • PUTUpdate Inventory Notifications Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementSettingsInventory Notifications

Update Inventory Notifications Settings

PUT
https://api.bigcommerce.com/stores/:store_hash/v3/settings/inventory/notifications
PUT
/stores/:store_hash/v3/settings/inventory/notifications
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v3/settings/inventory/notifications \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Updated
1{}
Updates inventory notification settings. * `channel_id` can be used as a query parameter to get inventory notification settings per channel. If omitted, you will interact with the global settings only. * Supplying `null` settings values per channel will delete overrides per given channel and values will be inherited from global level. * Partial updates are not supported within the given endpoint. In order to delete overrides per channel, `null` should be supplied for all the settings within the given endpoint.
Was this page helpful?
Previous

Get Inventory Notifications Settings

Next

Get Store Logo Settings

Built with

Updates inventory notification settings.

  • channel_id can be used as a query parameter to get inventory notification settings per channel. If omitted, you will interact with the global settings only.
  • Supplying null settings values per channel will delete overrides per given channel and values will be inherited from global level.
  • Partial updates are not supported within the given endpoint. In order to delete overrides per channel, null should be supplied for all the settings within the given endpoint.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

NOTE: Analytics endpoints require the Content (store_v2_content and store_v2_content_read_only) OAuth scope.

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

channel_idintegerOptional

Channel ID to use for channel-specific settings. If omitted, you will interact with the global settings only.

Request

null set for a particular field removes override on a channel level and means inheritance from a global level
low_stock_notification_addresslist of stringsOptional
out_of_stock_notification_addresslist of stringsOptional

Response

OK